Skip to content

UPnP ​

2 operations. Call any of them with omada_call_operation (or, in full tool mode, as a tool named by its operationId).

OperationMethodSummary
getUpnpSettingGETGet UPnP setting
updateUpnpSettingPUTModify UPnP setting

getUpnpSetting ​

GET /openapi/v1/{omadacId}/sites/{siteId}/upnp

Get UPnP setting

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)
siteIdpathstringyesSite ID (site ID or site name)
json
// omada_call_operation
{
  "operationId": "getUpnpSetting",
  "params": {
    "siteId": "<siteId>"
  }
}
Details, permissions and error codes

Get UPnP setting
The interface requires one of the permissions:
Site Settings Manager View Only
Device Config Page View Only
Site Device Manager View Only

updateUpnpSetting ​

PUT /openapi/v1/{omadacId}/sites/{siteId}/upnp

Modify UPnP setting

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)
siteIdpathstringyesSite ID (site ID or site name)

Request body — application/json (required) — schema UpnpSettingOpenApiVO

FieldTypeRequiredDescription
enablebooleanyesWhether to enable UPnP
wanPortIdsarray<string>noThis field represents WAN Port ID, WAN Port ID can be obtained from "Get internet basic info" interface.
networkIdsarray<string>noThis field represents LAN Network ID. LAN Network ID can be obtained from "Get all "single"/"multi" interface lan network" interface.
supportByDsLiteAndMapEbooleannoWhether this feature is supported for the DS-Lite or Map-E WAN connection types.
json
// omada_call_operation
{
  "operationId": "updateUpnpSetting",
  "params": {
    "siteId": "<siteId>"
  },
  "body": "{...}"
}
Details, permissions and error codes

Modify UPnP setting
The interface requires one of the permissions:
Site Settings Manager Modify
Device Config Page Modify
Site Device Manager Modify
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-33474 - This feature is not supported for the DS-Lite or Map-E WAN connection types.

Released under the MIT License. Not affiliated with or endorsed by TP-Link.